# VERSION is subbed out during rake srpm process
%global realversion 3.0.4
%global rpmversion 3.0.4

Summary:   Agent to do network tests from a mcollective host
Name:      mcollective-nettest
Version:   %{rpmversion}
Release:   1%{?dist}
Vendor:    %{?_host_vendor}
License:   ASL 2.0
URL:       https://github.com/puppetlabs/mcollective-nettest-agent
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group:     System Tools
Source0:   mcollective-nettest-%{realversion}.tar.gz

%description
Agent to do network tests from a mcollective host

%prep
%setup -q  -n %{name}-%{realversion}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective
cp -a agent aggregate application data util validator %{buildroot}%{_libexecdir}/mcollective/mcollective

%clean
rm -rf %{buildroot}

%package agent
Requires: mcollective-nettest-common = %{version}-%{release}
Group: System Tools
Summary:   Agent to do network tests from a mcollective host

%package client
Requires: mcollective-nettest-common = %{version}-%{release}
Group: System Tools
Summary:   Agent to do network tests from a mcollective host

%package common
Requires: mcollective-common >= 2.2.1
Group: System Tools
Summary:   Agent to do network tests from a mcollective host

%description agent
Agent to do network tests from a mcollective host

%description client
Agent to do network tests from a mcollective host

%description common
Agent to do network tests from a mcollective host

%files agent
%{_libexecdir}/mcollective/mcollective/agent/*.rb

%files client
%{_libexecdir}/mcollective/mcollective/aggregate/*
%{_libexecdir}/mcollective/mcollective/application/*.rb

%files common
%{_libexecdir}/mcollective/mcollective/agent/*.ddl
%{_libexecdir}/mcollective/mcollective/data/*
%{_libexecdir}/mcollective/mcollective/util/*
%{_libexecdir}/mcollective/mcollective/validator/*

%changelog
* Thu Jun 19 2014 Puppet Labs Release <info@puppetlabs.com> -  3.0.4-1
- Build for 3.0.4
